# Stories

Stories are tasks, milestones, deliverables, or issues in
Kantata OX. They belong to Workspaces, show up in the local and
global task trackers, can be linked to Posts, can have sub-Stories
and TaskLists, and have many attributes for planning, tasking, and
financials.

## Fetching a list of Stories

 - [GET /stories](https://developer.kantata.com/kantata/specification/stories/get-stories.md): This endpoint returns structured Story objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the stories top-level JSON key.
Please see our Response Format section for more information.

## Creating a new Story

 - [POST /stories](https://developer.kantata.com/kantata/specification/stories/create-story.md): Creates a task (story) in a project (workspace).

Bulk Create

This endpoint supports bulk creating up to 300 objects. In the request body, set the top-level key to its plural form and place the objects in an array. Example:


{
  "stories": [
    {
      "workspace_id": 123,
      "title": "Task"
    },
    {
      "workspace_id": 456,
      "title": "Task 2"
    }
  ]
}



This endpoint returns structured Story objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the stories top-level JSON key.
Please see our Response Format section for more information.

## Fetching a single Story

 - [GET /stories/{id}](https://developer.kantata.com/kantata/specification/stories/get-story.md): This endpoint returns structured Story objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the stories top-level JSON key.
Please see our Response Format section for more information.

## Updating an existing Story

 - [PUT /stories/{id}](https://developer.kantata.com/kantata/specification/stories/update-story.md): This endpoint returns structured Story objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the stories top-level JSON key.
Please see our Response Format section for more information.

## Deleting an existing Story

 - [DELETE /stories/{id}](https://developer.kantata.com/kantata/specification/stories/delete-story.md): Soft deletes a task (by setting a value for deleted_at). You can view soft deleted tasks by fetching a
list of tasks with the only_deleted filter set to true.

Note: Tasks are only permanently deleted when the project is deleted.


The response will contain no content and an HTTP 204 status code if the request was
successful, or a standard Kantata OX error message explaining why the object could not be deleted.

